import QtQuick 2.12
import QtQuick.Window 2.12

Window {
    id: window
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")
    color: "black"

    Popup {
        id: popup
        contentItem: Component {
            Rectangle {
                implicitWidth: 440
                implicitHeight: 330
                color: "grey"
            }
        }
    }

    DoubleLoadingPopup {
        id: doubleLoadingPopup
        contentItem: Component {
            Rectangle {
                implicitWidth: 440
                implicitHeight: 330
                color: "grey"
            }
        }
    }

    Component.onCompleted: {
        popup.active = true
        doubleLoadingPopup.active = true
    }
}
